Subject: Re: [bug#54471] [PATCH core-updates 0/2] font-build-system: Install web fonts

From: Maxime Devos <[email-masked]>
Date: Sun, 20 Mar 2022 12:27:59 +0100

Arun Isaac schreef op zo 20-03-2022 om 16:30 [+0530]:
> Currently, we don't install the woff and woff2 web fonts in our font build
> system. The first patch fixes that. The second patches removes the return of
> #t from phases.

font-build-system currently puts "tar", "gzip", "bzip2", "unzip" (*),
and "xz" in 'host-inputs' (the build system equivalent of 'inputs')
instead of 'build-inputs' (the build system equivalent of 'native-
inputs'), which is wrong when cross-compiling.

For font-build-system, this does not truly matter, since #:target is
ignored for font-build-system.  However, to avoid accidentally teaching
people to accidentally mess up the inputs/native-inputs difference and
instead give the right example, WDYT of moving "tar" and friends to
'build-inputs'?

It's technically a separate thing from your patches, but I think it
would be nice to bundle multiple core-updates changes together (in
separate patches, but in a same ‘push’).

(*) The location of 'source' does not matter since sources are
(currently) assumed to be architecture-independent in Guix.

Greetings,
Maxime.